Bug 138445 - net/freeradius2 problem with rlm_perl
Summary: net/freeradius2 problem with rlm_perl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-01 15:40 UTC by genserg
Modified: 2010-02-22 14:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description genserg 2009-09-01 15:40:06 UTC
after update libtool from 1.5.26 to 2.2.6a
module rlm_perl not work:

# /usr/local/etc/rc.d/radiusd start
Starting radiusd.
Can't load '/usr/local/lib/perl5/5.8.9/mach/auto/Data/Dumper/Dumper.so' for module Data::Dumper: /usr/local/lib/perl5/5.8.9/mach/auto/Data/Dumper/Dumper.so: Undefined symbol "PL_sv_undef" at /usr/local/lib/perl5/5.8.9/mach/XSLoader.pm line 70.
 at /usr/local/lib/perl5/5.8.9/mach/Data/Dumper.pm line 36
Compilation failed in require at /usr/local/etc/raddb/example.pl line 22.
BEGIN failed--compilation aborted at /usr/local/etc/raddb/example.pl line 22.

How-To-Repeat: portsnap fetch update
portupgrade -o devel/libtool22 libtool-1.5\*
portupgrade -o devel/libltdl22 libltdl-1.5\*
portupgrade -fr libltdl
Comment 1 Edwin Groothuis freebsd_committer 2009-09-01 15:40:14 UTC
Maintainer of net/freeradius2,

Please note that PR ports/138445 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/138445

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-09-01 15:40:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 David Wood 2009-09-09 20:15:02 UTC
This is not a FreeRADIUS problem as such - rather it's a problem with 
embedded Perl after the recent libltdl update.

I worked with the submitter of PR ports/137694 on this problem following 
his private report to me. He submitted that PR at my request against 
lang/perl5.8 and lang/perl5.10.


It seems that the libltdl upgrade changed the semantics of dynamic 
linking with embedded Perl. Calls to dlopen(3) made via rlm_perl seem to 
need " | RTLD_GLOBAL" adding to the 'mode' argument (see the man page 
for dlopen(3)). However, that system call is not made directly in 
rlm_perl - all that rlm_perl does is use the interface found in the 
perlembed(1) man page. Accordingly, I think this is in the remit of the 
lang/perl5.8 and lang/perl5.10 maintainer.

PR ports/137694 contains a work-round (thanks, Ryan). If no fixes to 
Perl are forthcoming, I will look at incorporating that work-round into 
the rc.d script that net/freeradius2 installs.


I'm not sure what the correct way to handle this PR is. Arguably it's 
superseded by ports/137694. We don't have superseded in GNATS - I guess 
this should either be closed or suspended? I leave it to one of the 
committers to mark this PR accordingly.


With best wishes,




David (maintainer, net/freeradius2)
-- 
David Wood
david@wood2.org.uk
Comment 4 Pav Lucistnik freebsd_committer 2009-09-18 12:13:27 UTC
State Changed
From-To: feedback->analyzed

Setting the PR to analyzed - pending fix in other port
Comment 5 Wesley Shields freebsd_committer 2010-02-14 17:24:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 6 dfilter service freebsd_committer 2010-02-22 14:46:52 UTC
wxs         2010-02-22 14:46:37 UTC

  FreeBSD ports repository

  Modified files:
    net/freeradius2      Makefile 
  Log:
  - Fix libtool problem when using perl option. See ports/143487 for information.
  
  PR:             ports/143487, ports/143656, ports/143493, ports/138445
  Submitted by:   Ryan Steinmetz <rpsfa@rit.edu>
  Approved by:    maintainer timeout
  Feature safe:   yes
  
  Revision  Changes    Path
  1.82      +3 -0      ports/net/freeradius2/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Wesley Shields freebsd_committer 2010-02-22 14:47:37 UTC
State Changed
From-To: analyzed->closed

Committed the patch in ports/143487. Thanks!